Subject: bug#8624: 24.0.50; `font-lock-default-fontify-buffer'

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Fri, 15 Jul 2011 15:23:47 +0200

"Drew Adams" <[email-masked]> writes:

> This function is the default value of several important variables, all
> of which are documented in (elisp) Other Font Lock Variables.  All this
> doc does, in essence, is say "see `font-lock-default-fontify-buffer'".
>
> But of course there is *NO* doc for `font-lock-default-fontify-buffer',
> not even a doc string.  Please fix this.  Likewise
> `font-lock-default-unfontify-buffer'.  It should be a no-brainer that
> pretty much any function that has "default" as part of its name needs a
> doc string.

What would you imagine these doc strings would say?  "(un)fontify the
region according to the default font-lock rules; see the manual for
details"?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/